GET
Search the public vault catalog

Authorizations

Authorization
string
header
required

Account-bound token for the public API resource.

Scopes

account:read

Read account data.

Headers

Tuyo-API-Version
string
required

Required dated public API contract.

Allowed value: "2026-10-20"
Tuyo-Request-Reason
string

Optional, percent-encoded short explanation of why the request is made (e.g. the end-user goal relayed by an AI agent). Stored for audit; truncated to 2048 characters after decoding.

Query Parameters

query
string
Required string length: 1 - 100
riskLevels
enum<string>[]
Available options:
lowest,
low,
moderate,
high,
highest
depositStatus
enum<string>
Available options:
available,
unavailable
assetIds
string<uuid>[]
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
first
integer
Required range: 1 <= x <= 100
after
string
Minimum string length: 1

Response

Successful response.

items
any[]
required
Maximum array length: 100
page
object
required
meta
object
required